- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# RankingServer_PostgreSQL Class Reference

`#include <RankingServer_PostgreSQL.h>`

List of all members.

## Public Member Functions
bool | CreateRankingServerTables (void)
bool | DestroyRankingServerTables (void)
virtual void | PushFunctor (RankingServerFunctor *functor, void *context=0)
void | AssignCallback (RankingServerCBInterface *cb)
## Friends
class | SubmitMatch_PostgreSQLImpl
class | ModifyTrustedIPList_PostgreSQLImpl
class | GetRatingForParticipant_PostgreSQLImpl
class | GetRatingForParticipants_PostgreSQLImpl
class | GetHistoryForParticipant_PostgreSQLImpl

## Detailed Description

Provides a central class for all RankingServer functionality using the PostgreSQL interface If you are using more than one class that uses functionThreads, you should maintain this separately and call AssignFunctionThread() to avoid unnecessary threads.

## Member Function Documentation

bool RankingServer_PostgreSQL::CreateRankingServerTables | ( | void |  | ) |

Create the tables used by the ranking server, for all applications. Call this first. I recommend using UTF8 for the database encoding within PostgreSQL if you are going to store binary data

Returns:
  True on success, false on failure.

bool RankingServer_PostgreSQL::DestroyRankingServerTables | ( | void |  | ) |

Destroy the tables used by the ranking server. Don't call this unless you don't want to use the ranking server anymore, or are testing.

Returns:
  True on success, false on failure.

void RankingServer_PostgreSQL::PushFunctor | ( | RankingServerFunctor * | functor,
|  | void * | context = `0` |
| ) |  |  | `[virtual]`

Push one of the above *_PostgreSQLImpl functors to run.

Parameters:

  | functor | A structure allocated on the HEAP (using new) with the input parameters filled in.

void RankingServer_PostgreSQL::AssignCallback | ( | RankingServerCBInterface * | cb | ) |

Assigns a callback to get the results of processing.

Parameters:

  `[in]` | A | structure allocated on the HEAP (using new) with the input parameters filled in.

The documentation for this class was generated from the following files:

- C:/RakNet/DependentExtensions/Lobby/RankingServerDB_PostgreRepository/RankingServer_PostgreSQL.h
- C:/RakNet/DependentExtensions/Lobby/RankingServerDB_PostgreRepository/RankingServer_PostgreSQL.cpp